<div class="ui grid stackable">
#{dashboard.filters report: report, url: route.dashboard_datapenyediacontroller_datapenyedia, filters: filters, filter: filter /}
#{if filter?.toString() == "NILAI_MENANG_TERBANYAK"}
    <div class="sixteen wide column">
        #{common.bar-chart chartable: kontrakChart, id: "canvasKontrak", title: 'Nilai Menang Terbanyak', xLabel: 'Penyedia', yLabel: 'Rupiah', money: true, scriptName: 'kontrakScript' /}
    </div>
#{/if}
#{else}
    <div class="sixteen wide column">
        #{common.bar-chart chartable: paketChart, id: "canvasPaket", title: 'Paket Menang Terbanyak', xLabel: 'Penyedia', yLabel: 'Paket', scriptName: 'paketScript' /}
    </div>
#{/else}
</div>
<div class="alert alert-danger alert-modal hidden"></div>
#{dashboard.search-bar result:result, id:'formRekap', nonRecord: true/}
<div class="ui divider hidden"></div>
<div class="ui grid stackable">
    <div class="sixteen wide column">
        <table class="ui striped celled structured table padded comp-table-th ">
            <thead>
            <tr>
            #{list items: header, as: 'h'}
                <th data-attr="${h.toString()}">${h.getLabel()}</th>
            #{/list}
            </tr>
            </thead>
            <tbody class="left aligned">
            #{list items: result?.getItems(), as: 'penyedia'}
            <tr>
                <td class="font-bold">
                ${penyedia.nama}
                </td>
                <td class="right aligned"><a href="#" class="show-paket" data-id="${penyedia.rekanan_id}"
                                             data-status="DAFTAR">${penyedia.paket_daftar.formatNumberIndonesia()}</a>
                </td>
                <td class="right aligned"><a href="#" class="show-paket" data-id="${penyedia.rekanan_id}"
                                             data-status="PRAKUALIFIKASI">${penyedia.paket_prakualifikasi.formatNumberIndonesia()}</a>
                </td>
                <td class="right aligned"><a href="#" class="show-paket" data-id="${penyedia.rekanan_id}"
                                             data-status="MENAWAR">${penyedia.paket_menawar.formatNumberIndonesia()}</a>
                </td>
                <td class="right aligned"><a href="#" class="show-paket" data-id="${penyedia.rekanan_id}"
                                             data-status="MENANG">${penyedia.paket_menang.formatNumberIndonesia()}</a>
                </td>
                <td class="right aligned">${penyedia.kontrak_menang.formatCurrenciesJuta()}</td>
            </tr>
            #{/list}
            </tbody>
        </table>
    </div>
</div>
#{pagination result /}

<div class="ui modal" id="modalPaketPenyedia"></div>
#{dashboard.sorting url: route.dashboard_datapenyediacontroller_datapenyedia/}
#{set 'anotherScript'}
    #{if filter?.toString() == "NILAI_MENANG_TERBANYAK"}
        #{get 'kontrakScript'/}
    #{/if}
    #{else}
        #{get 'paketScript'/}
    #{/else}
    #{get 'sortingScript'/}
    #{get 'filtersScripts' /}
<script>
    $(document).on('click', '.show-paket', function (e) {
        e.preventDefault();
        var id = $(e.currentTarget).data('id');
        var status = $(e.currentTarget).data('status');
        $.ajax({
            xhr: function () {
                var browser = navigator.appName;
                if (browser == "Microsoft Internet Explorer") {
                    var xhr = new window.ActiveXObject("Microsoft.XMLHTTP");
                } else {
                    var xhr = new window.XMLHttpRequest();
                }
                xhr.upload.addEventListener("progress", function (evt) {
                    if (evt.lengthComputable) {
                        var percentComplete = (evt.loaded / evt.total) * 100;
                    }
                }, false);
                return xhr;
            },
            async: true,
            type: "GET",
            cache: false,
            contentType: false,
            processData: false,
            url: "#{url route.dashboard_datapenyediaapicontroller_datapenyedia /}?rekanan_id=" + id + "&status=" + status,
            success: function (result) {
                $("#modalPaketPenyedia").html(result);
                $("#modalPaketPenyedia").modal('show');
            },
            complete: function () {
            },
            error: function () {
                $('.alert-modal')
                        .addClass('alert-danger')
                        .removeClass('alert-success')
                        .removeClass('hidden').html('&{translation.general_error}');
            }
        });
    });
    $(document).on('click', '#modalPaketPenyedia .pagination .item', function (e) {
        e.preventDefault();
        var url = $(e.currentTarget).attr("href");
        $.ajax({
            xhr: function () {
                var browser = navigator.appName;
                if (browser == "Microsoft Internet Explorer") {
                    var xhr = new window.ActiveXObject("Microsoft.XMLHTTP");
                } else {
                    var xhr = new window.XMLHttpRequest();
                }
                xhr.upload.addEventListener("progress", function (evt) {
                    if (evt.lengthComputable) {
                        var percentComplete = (evt.loaded / evt.total) * 100;
                    }
                }, false);
                return xhr;
            },
            async: true,
            type: "GET",
            cache: false,
            contentType: false,
            processData: false,
            url: url,
            success: function (result) {
                $("#modalPaketPenyedia").html(result);
            },
            complete: function () {
            },
            error: function () {
                $('.alert-modal')
                        .addClass('alert-danger')
                        .removeClass('alert-success')
                        .removeClass('hidden').html('&{translation.general_error}');
            }
        });
    });
</script>
#{/set}